package com.bonus.canteen.core.nutrition.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel("健康菜谱详情出参")
public class HealthRecipeDetailVO {
   @ApiModelProperty("餐次类型 1-早餐 2-午餐 3-下午茶 4-晚餐 5-夜宵")
   private Integer mealtimeType;
   @ApiModelProperty("餐次名称")
   private String mealtimeName;
   @ApiModelProperty("详情id")
   private Long healthDetailId;
   @ApiModelProperty("菜品详情")
   private List<HealthRecipeDishesVo> dishesList;

   public Integer getMealtimeType() {
      return this.mealtimeType;
   }

   public String getMealtimeName() {
      return this.mealtimeName;
   }

   public Long getHealthDetailId() {
      return this.healthDetailId;
   }

   public List<HealthRecipeDishesVo> getDishesList() {
      return this.dishesList;
   }

   public void setMealtimeType(final Integer mealtimeType) {
      this.mealtimeType = mealtimeType;
   }

   public void setMealtimeName(final String mealtimeName) {
      this.mealtimeName = mealtimeName;
   }

   public void setHealthDetailId(final Long healthDetailId) {
      this.healthDetailId = healthDetailId;
   }

   public void setDishesList(final List<HealthRecipeDishesVo> dishesList) {
      this.dishesList = dishesList;
   }

   public HealthRecipeDetailVO(final Integer mealtimeType, final String mealtimeName, final Long healthDetailId, final List<HealthRecipeDishesVo> dishesList) {
      this.mealtimeType = mealtimeType;
      this.mealtimeName = mealtimeName;
      this.healthDetailId = healthDetailId;
      this.dishesList = dishesList;
   }

   public HealthRecipeDetailVO() {
   }
}
